<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LRouteFilterMember StructType
 * @subpackage Structs
 */
class LRouteFilterMember extends AbstractStructBase
{
    /**
     * The dialPlanTagName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $dialPlanTagName;
    /**
     * The digits
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $digits;
    /**
     * The operator
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $operator;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $priority;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LRouteFilterMember
     * @uses LRouteFilterMember::setDialPlanTagName()
     * @uses LRouteFilterMember::setDigits()
     * @uses LRouteFilterMember::setOperator()
     * @uses LRouteFilterMember::setPriority()
     * @uses LRouteFilterMember::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName
     * @param string $digits
     * @param string $operator
     * @param string $priority
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName = null, $digits = null, $operator = null, $priority = null, $uuid = null)
    {
        $this
            ->setDialPlanTagName($dialPlanTagName)
            ->setDigits($digits)
            ->setOperator($operator)
            ->setPriority($priority)
            ->setUuid($uuid);
    }
    /**
     * Get dialPlanTagName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getDialPlanTagName()
    {
        return $this->dialPlanTagName;
    }
    /**
     * Set dialPlanTagName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRouteFilterMember
     */
    public function setDialPlanTagName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName = null)
    {
        $this->dialPlanTagName = $dialPlanTagName;
        return $this;
    }
    /**
     * Get digits value
     * @return string|null
     */
    public function getDigits()
    {
        return $this->digits;
    }
    /**
     * Set digits value
     * @param string $digits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRouteFilterMember
     */
    public function setDigits($digits = null)
    {
        $this->digits = $digits;
        return $this;
    }
    /**
     * Get operator value
     * @return string|null
     */
    public function getOperator()
    {
        return $this->operator;
    }
    /**
     * Set operator value
     * @param string $operator
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRouteFilterMember
     */
    public function setOperator($operator = null)
    {
        $this->operator = $operator;
        return $this;
    }
    /**
     * Get priority value
     * @return string|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param string $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRouteFilterMember
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRouteFilterMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
